/*
******************************************************************************
*                                                                            *
*        Program przykladowy dla ADuCM360                                    *
*                                                                            *
******************************************************************************
*/

#include <stdio.h>
#include <string.h>
#include <ADuCM360.h>


#include <..\..\common\ClkLib.h>
#include <..\..\common\IntLib.h>
#include <..\..\common\DioLib.h>
#include <..\..\common\WdtLib.h>

void delay(long int);

int main (void)
{
 int przycisk;
	
//inicjalizacja systemu	
 WdtCfg(T3CON_PRE_DIV1,T3CON_IRQ_EN,T3CON_PD_DIS);        // Disable Watchdog timer resets
 DioOen(pADI_GP1,0xc);                                    // P1.3 i P1.2 jako wyjscia
 //Disable clock to unused peripherals
 ClkDis(CLKDIS_DISSPI0CLK|CLKDIS_DISSPI1CLK|CLKDIS_DISI2CCLK|CLKDIS_DISUARTCLK|CLKDIS_DISPWMCLK|CLKDIS_DIST0CLK|CLKDIS_DIST1CLK|CLKDIS_DISDACCLK|CLKDIS_DISDMACLK|CLKDIS_DISADCCLK);
 ClkCfg(CLK_CD0,CLK_HF,CLKSYSDIV_DIV2EN_DIS,CLK_UCLKCG);  // Select CD0 for CPU clock - 16Mhz clock

 while (1)
 {
  przycisk=DioRd(pADI_GP2);   //kopiuj stan portu P2 do zmiennej 'przycisk'
  if((przycisk&0x04)==0x04)   //czy nacisnieto S2?
  {
   DioSet(pADI_GP1,0x08);	    //tak - ustaw linie P1.3
  }
  else
  {
   DioClr(pADI_GP1,0x08);	    //nie - wyzeruj linie P1.3
  }				
  delay(0x1000);              //opoznienie programowe
 }
}

// Funkcja opoznienia
void delay (long int length)
{
 while (length >0)
 {	 
  length--;
 } 
 DioTgl(pADI_GP1,0x4);        //zmien stan linii P1.2
}


//Handlery przerwan - w tym programie nie beda uzywane, ale warto o nich pamietac
void WakeUp_Int_Handler(void)
{
  
}

void Ext_Int2_Handler ()
{           

}

void Ext_Int4_Handler ()
{         
 
}

void GP_Tmr0_Int_Handler(void)
{

}

void GP_Tmr1_Int_Handler(void)
{
 
}

void ADC0_Int_Handler()
{
   
}

void ADC1_Int_Handler ()
{

}

void SINC2_Int_Handler()
{
 
}

void UART_Int_Handler ()
{

} 

void I2C0_Slave_Int_Handler(void) 
{

}

void PWMTRIP_Int_Handler ()
{           
 
}

void PWM0_Int_Handler()
{

}

void PWM1_Int_Handler ()
{
 
}

void PWM2_Int_Handler()
{
  
}
